/* $Id$ */
#ifndef NETVIEWER_H
#define NETVIEWER_H

#include "network.h"

/* packet types */
enum {
    /* tcp server */
    PACK_NO_CAM = 0,      /* no camera available */
    PACK_BUSY,            /* unable to serve you */
    PACK_SEND_PORT,       /* send UDP port number */
    PACK_WELCOME,         /* call accepted */
    PACK_GO_AWAY,         /* call not accepted */
    /* tcp client */
    PACK_PORT = 10,
    PACK_HANGUP,          /* end of call */
};
enum {
    /* udp */
    PACK_BLOCK = 20,      /* a block of an image */
};


void netvSetLocalPort(const char *port);

void netvInit(void);
void netvFinish(void);

void netvSendPacket(const unsigned char *packet, int len);
int  netvGetNumConnections(void);

#endif
